Notification for PaymentMethod
Request
Request Body schema
authentication
object
The information used for User authentication with Card
- Usage Instruction
1. EVO Cloud supports securePlus and threeDS authentication types
eventCode
string<= 32 characters
Required
Enum: PaymentMethod
Used to indicate the type of a Notification
- Usage Instruction
1. Filed Type: String(32)
metadata
string<= 512 characters
This field is used for merchant to state reference information
- Usage Instruction
1. If merchant sends this field in the request message, EVO Cloud will echo it back in the response
2. Field Type: String(512)
paymentMethod
object
Required
This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant
POST
/payment method webhook in the requestTry it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/payment method webhook in the request' \
-d '{
"authentication": {
"threeDS": {
"isFrictionless": "string",
"mpiData": {
"cardholderInfo": "string",
"cavv": "string",
"dsTransID": "string",
"eci": "string",
"status": "string",
"threeDSVersion": "string",
"transStatusReason": "string"
}
},
"type": "string"
},
"eventCode": "string",
"metadata": "string",
"paymentMethod": {
"accountUpdateIndicator": "string",
"card": {
"first6No": "string",
"fundingType": "string",
"holderName": "string",
"isCommercial": true,
"issuerCountry": "string",
"issuingBank": "string",
"issuingCountry": "string",
"last4No": "string",
"paymentBrand": "string"
},
"e-wallet": {
"consumerAccount": "string",
"consumerId": "string",
"contractID": "string",
"paymentBrand": "string",
"planID": "string",
"subOpenID": "string",
"walletName": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"networkToken": {
"expiryDate": "string",
"first6No": "string",
"last4No": "string",
"paymentAccountReference": "string",
"paymentBrand": "string",
"status": "string",
"supportDeviceBinding": true,
"tokenID": "string",
"tokenReferenceID": "string",
"value": "string"
},
"paymentAccountReference": "string",
"recurringReference": "string",
"status": "string",
"token": {
"createTime": "string",
"expiryDate": "string",
"fingerprint": "string",
"first6No": "string",
"last4No": "string",
"status": "string",
"updateTime": "string",
"userReference": "string",
"value": "string",
"vaultID": "string"
}
}
}'JavaScript
fetch(
`https://online-uat.everonet.com/payment method webhook in the request`,
{
method: 'post',
body: '{
"authentication": {
"threeDS": {
"isFrictionless": "string",
"mpiData": {
"cardholderInfo": "string",
"cavv": "string",
"dsTransID": "string",
"eci": "string",
"status": "string",
"threeDSVersion": "string",
"transStatusReason": "string"
}
},
"type": "string"
},
"eventCode": "string",
"metadata": "string",
"paymentMethod": {
"accountUpdateIndicator": "string",
"card": {
"first6No": "string",
"fundingType": "string",
"holderName": "string",
"isCommercial": true,
"issuerCountry": "string",
"issuingBank": "string",
"issuingCountry": "string",
"last4No": "string",
"paymentBrand": "string"
},
"e-wallet": {
"consumerAccount": "string",
"consumerId": "string",
"contractID": "string",
"paymentBrand": "string",
"planID": "string",
"subOpenID": "string",
"walletName": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"networkToken": {
"expiryDate": "string",
"first6No": "string",
"last4No": "string",
"paymentAccountReference": "string",
"paymentBrand": "string",
"status": "string",
"supportDeviceBinding": true,
"tokenID": "string",
"tokenReferenceID": "string",
"value": "string"
},
"paymentAccountReference": "string",
"recurringReference": "string",
"status": "string",
"token": {
"createTime": "string",
"expiryDate": "string",
"fingerprint": "string",
"first6No": "string",
"last4No": "string",
"status": "string",
"updateTime": "string",
"userReference": "string",
"value": "string",
"vaultID": "string"
}
}
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/octet-stream
json

